apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
resources:
- ../../dev-cluster
- ./sealed-secret.yaml
namespace: abc-federation
patches:
  - patch: |-
      - op: replace
        path: "/spec/rules/0/host"
        value: "revocation-registry.abc-federation.dev.gaiax.ovh"
      - op: replace
        path: "/spec/tls/0/hosts"
        value: ["revocation-registry.abc-federation.dev.gaiax.ovh"]
      - op: replace
        path: "/spec/tls/0/secretName"
        value: "ingress-revocation-registry-tls"
    target:
      kind: Ingress
      name: revocation-registry

